(* type t *)
type 'a t = 'a option
(* return : 'a -> 'a t *)
let return x = Some x
(* error : 'a t *)
let error = None
(* bind : 'a t -> ('a -> 'b t) -> 'b t *)
let bind m f = match m with None   -> None
                          | Some x -> f x
(* bind_infix : infix version of bind *)
let (>>=) = bind
(* *)
