(* cross : 'a list -> 'b list -> ('a * 'b)list *)
let cross xs ys = Lst.concat(
  Lst.map (fun x ->
    Lst.map (fun y -> (x,y)) ys
  ) xs
)
(* *)
open ListMonad
(* cross' : 'a list -> 'b list -> ('a * 'b)list *)
let cross' xs ys =
  xs >>= fun x ->
  ys >>= fun y ->
  return(x,y)
(* *)
