(* type t *)
type 'a t = 'a list
(* return : 'a -> 'a t *)
let return x = [x]
(* bind : 'a t -> ('a -> 'b t) -> 'b t *)
let bind xs f = Lst.concat(Lst.map f xs)
(* bind_infix : infix version of bind *)
let (>>=) = bind
(* *)
