(* type t *)
type ('a,'s)t = 's -> ('a * 's)
(* get : ('s,'s)t *)
let get = fun s -> (s,s)
(* set : 's -> (unit,'s)t *)
let set s = fun _ -> ((),s)
(* return : 'a -> ('a,'s)t *)
let return x = fun s -> (x,s)
(* bind : ('a,'s)t -> ('a -> ('b,'s)t) -> ('b,'s)t *)
let bind m f = fun s ->
  let (x,s') = m s in
  (f x) s'
(* bind_infix : infix version of bind *)
let (>>=) = bind
(* *)
