(* safe_hd : 'a list -> 'a option *)
let safe_hd = function x::_ -> Some x
                     | _    -> None
(* safe_tl : 'a list -> ('a list)option *)
let safe_tl = function _::xs -> Some xs
                     | _     -> None
(* l1 : int list *)
let l1 = [4;0]
(* l2 : int list *)
let l2 = [5;2]
(* div2 : int list -> int option *)
let div2 xs =
  match safe_hd xs with
    | None   -> None
    | Some x -> match safe_tl xs with
      | None    -> None
      | Some xs -> match safe_hd xs with
        | None   -> None
        | Some y -> if y = 0 then None
                             else Some(x/y)
(* *)
open OptionMonad
(* div2' : int list -> int option *)
let div2' xs =
  safe_hd xs >>= fun x  ->
  safe_tl xs >>= fun xs ->
  safe_hd xs >>= fun y  ->
  if y = 0 then error
           else return(x/y)
(* *)
